/***************************************************************************
                          comparisions.h  -  description
                             -------------------
    begin                : Thu Jun 7 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMPARISIONS_H
#define COMPARISIONS_H

namespace graphlib {

class lessLength: public less<BitVector>
{
  public:
    bool operator()(const BitVector& x, const BitVector& y) const
    {
      return x < y;
    }
}; // class lessLength

class greaterValue: public greater<BitVector>
{
  public:
    bool operator()(const BitVector& x, const BitVector& y) const
    {
      return x.greaterValue(y);
    }

}; // class greaterValue

class lessCycleLength: public less<Cycle*>
{
  public:
    bool operator()(const Cycle* x, const Cycle* y) const
    {
      return *x < *y;
    }
}; // class lessCycleLength



} // namespace graphlib

#endif // COMPARISIONS_H

/* end of file */
