/***************************************************************************
                          coordinates.cpp  -  description
                             -------------------
    begin                : Wed Mar 7 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "coordinates.h"
#include "graphlib.h"

namespace graphlib {

//---------------------------------------------------------------------------
// Con-/Destructors
//---------------------------------------------------------------------------
Coordinates::Coordinates(double a, double b, double c)
      : x(a), y(b), z(c)
{
  ;
}

//---------------------------------------------------------------------------
// Operators
//---------------------------------------------------------------------------
Coordinates& Coordinates::operator=(const Coordinates& c)
{
  x=c.x; y=c.y; z=c.z;
  return *this;
}

Coordinates& Coordinates::operator=(double c)
{
  x = y = z = c;
  return *this;
}

bool Coordinates::operator==(double border)
{
  double max = border + EPSILON;
  double min = border - EPSILON;

  if (x < max && x > min && y < max && y > min && z < max && z > min)
    return true;
  else
    return false;
}

bool Coordinates::operator<(double tmp)
{
  if (x < tmp && y < tmp && z < tmp)
    return true;
  else
    return false;
}

bool Coordinates::operator>(double tmp)
{
  if (x > tmp && y > tmp && z > tmp)
    return true;
  else
    return false;
}

//---------------------------------------------------------------------------
// Input / Output
//---------------------------------------------------------------------------
ostream& operator<<(ostream& os, const Coordinates& c)
{
  os.precision(4);
  os.setf(ios::fixed,ios::floatfield);
  return os << c.x << " - " << c.y << " - " << c.z;
}

} // namespace graphlib

/* end of file */
