/***************************************************************************
                          nodedata.h  -  description
                             -------------------
    begin                : Thu Mar 1 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODEDATA_H
#define NODEDATA_H

#include "coordinates.h"
#include "node.h"
#include "edge.h"

#include <list>

namespace graphlib {

/**
  *@internal
  */

class NodeData
{
  public:
    //------------------------------------------------------ Constructor
    NodeData() : id(0),degree(0),label(""),coord(0.0,0.0,0.0) {;}

    //------------------------------------------------------ Datas
    int                         id;        // id of number
    unsigned                    degree;    // number of neighbours
    string                      label;     // label of the node
    Coordinates                 coord;     // the coordinates of the node
    NodeIter                    pos;       // postition in list of all nodes
    list<Edge>                  edges;     // edges incident to this node
                                           // first all in edges

}; // class NodeData

#endif  // NODEDATA_H



} // namespace graphlib
/* end of file */
