/***************************************************************************
                          nodeid.h  -  description
                             -------------------
    begin                : Mon Mar 5 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODEID_H
#define NODEID_H

#include "node.h"
#include <functional>

namespace graphlib {

/**
  *@internal
  *
  */

class NodeId : public unary_function<Node,bool>
{
  public:
    explicit NodeId(int i) : id(i) {}
    bool operator()(const Node& n) const
    {
      return n.id() == id;
    }
  private:
    int id;
}; // class NodeId

/**
  *@internal
  *
  */

class NodeGreaterId : public unary_function<Node,bool>
{
  public:
    explicit NodeGreaterId(int i) : id(i) {}
    bool operator()(const Node& n) const
    {
      return n.id() > id;
    }
  private:
    int id;
}; // class NodeGreaterId

} // namespace graphlib
#endif //NODEID_H

/* end of file */
