/***************************************************************************
                          nodepath.cpp  -  description
                             -------------------
    begin                : Thu May 31 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "nodepath.h"

namespace graphlib {

//---------------------------------------------------------------------------
// Calculations
//---------------------------------------------------------------------------
bool NodePath::intersectionPath(const NodePath& np, const Node& node) const
{
  constNodeIter i1 = path.begin();
  constNodeIter i2 = np.path.begin();
  unsigned i=0;

  for ( ; i1!=path.end() && i2!=np.path.end(); )
  {
    if (*i1 < *i2)
      i1++;
    else if (*i2 < *i1)
      i2++;
    else {                             // same number in path
      i++;
      // intersection include a "wrong" node
      if (*i1 != node)
        return false;
      // intersection holds more than one node
      if (i>1)
	      return false;
      else
      {
	      i1++;
	      i2++;
      }
    }
  }
  return true;
}

} // namespace graphlib

/* end of file */
